Unit Unit1;

{$mode objfpc}{$H+}

Interface

Uses
  Classes,
  SysUtils,
  FileUtil,
  Forms,
  Controls,
  Graphics,
  Dialogs,
  XMLPropStorage,
  StdCtrls,
  Menus,
  Grids,
  ValEdit;

Type

  { TForm1 }

  TForm1 = Class(TForm)
    Edit1: TEdit;
    Edit2: Tedit;
    MainMenu1: TMainMenu;
    Memo1: TMemo;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    OpenDialog1: TOpenDialog;
    sg1: Tstringgrid;
    vle: Tvaluelisteditor;
    XMLPropStorage1: TXMLPropStorage;
    Procedure MenuItem3Click(Sender: TObject);
    Procedure MenuItem4Click(Sender: TObject);
    Procedure Xmlpropstorage1restoreproperties(Sender: TObject);
    Procedure Xmlpropstorage1saveproperties(Sender: TObject);
  Private
    { private declarations }
  Public
    { public declarations }
    FName: String;
  End;

Var
  Form1: TForm1;

Implementation

{$R *.lfm}

{ TForm1 }

Procedure TForm1.MenuItem3Click(Sender: TObject);
Begin
  Close;
End;




Procedure TForm1.MenuItem4Click(Sender: TObject);
Begin
  If OpenDialog1.Execute Then
  Begin
    FName := OpenDialog1.FileName;
    Edit1.Text := FName;
  End;
End;


Procedure Tform1.Xmlpropstorage1restoreproperties(Sender: TObject);
Begin
  Edit2.Text := XMLPropStorage1.ReadString('Hi', 'nix');
  sg1.Cells[0, 0] := XMLPropStorage1.ReadString('Hi', 'nix');
  sg1.AutoSizeColumn(0);
  vle.InsertRow('Umlaute', XMLPropStorage1.ReadString('Hi', 'nix'), True);
End;


Procedure Tform1.Xmlpropstorage1saveproperties(Sender: TObject);
Begin
  XMLPropStorage1.WriteString('Hi', Edit1.Text);
End;

End.
